[Scilab-users] Fail to run scilab-6.0.0 binary

classic Classic list List threaded Threaded
6 messages Options
Florian Blachère Florian Blachère
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] Fail to run scilab-6.0.0 binary

Hello,

With an up to date ArchLinux box, the scilab-6.0.0 binary is failing to run with the following error message:
Cannot find this look and feel:
[GTK look and feel - com.sun.java.swing.plaf.gtk.GTKLookAndFeel] not supported on this platform
/opt/scilab/bin/scilab: line 957: 21013 Segmentation fault      (core dumped) "$SCILABBIN" "$@"
I tested with the nightly builds and I've got the same error message. Do I need some more dependency?

If it can help, the scilab compile from source on the same machine is working fine.

Thanks by advance,
Florian


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Clément David-3 Clément David-3
Reply | Threaded
Open this post in threaded view
|

Re: Fail to run scilab-6.0.0 binary

Hello Florian,

Thanks for this information ; could you please open a bug with the following information ?

 - What is the GTK version on your system ?
 - Do you have a local Java installation ?
 - paste a trace generated using : SCIVERBOSE=1 bin/scilab

AFAIK ArchLinux ships always up-to-date versions and we should work using it. A more recent OpenJDK
version might be needed and you could enforce your distribution specific one using :

 JAVA_HOME=/path/to/jdk bin/scilab

--
Clément

Le dimanche 30 avril 2017 à 16:58 +0200, Florian Blachère a écrit :

> Hello,
>
> With an up to date ArchLinux box, the scilab-6.0.0 binary is failing to run with the following
> error message:
> > Cannot find this look and feel:
> > [GTK look and feel - com.sun.java.swing.plaf.gtk.GTKLookAndFeel] not supported on this platform
> > /opt/scilab/bin/scilab: line 957: 21013 Segmentation fault      (core dumped) "$SCILABBIN" "$@"
>  I tested with the nightly builds and I've got the same error message. Do I need some more
> dependency?
>
> If it can help, the scilab compile from source on the same machine is working fine.
>
> Thanks by advance,
> Florian
>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Adelson Adelson
Reply | Threaded
Open this post in threaded view
|

Re: Fail to run scilab-6.0.0 binary

The same in openmandriva up to date. The error is related to some very recent update since Scilab 6 was working fine a couple of days ago. I filed a bug on this and found another bug where is reported  that everything goes fine with Oracle Java.

Em 03/05/2017 7:03 AM, "Clément David" <[hidden email]> escreveu:
Hello Florian,

Thanks for this information ; could you please open a bug with the following information ?

 - What is the GTK version on your system ?
 - Do you have a local Java installation ?
 - paste a trace generated using : SCIVERBOSE=1 bin/scilab

AFAIK ArchLinux ships always up-to-date versions and we should work using it. A more recent OpenJDK
version might be needed and you could enforce your distribution specific one using :

 JAVA_HOME=/path/to/jdk bin/scilab

--
Clément

Le dimanche 30 avril 2017 à 16:58 +0200, Florian Blachère a écrit :
> Hello,
>
> With an up to date ArchLinux box, the scilab-6.0.0 binary is failing to run with the following
> error message:
> > Cannot find this look and feel:
> > [GTK look and feel - com.sun.java.swing.plaf.gtk.GTKLookAndFeel] not supported on this platform
> > /opt/scilab/bin/scilab: line 957: 21013 Segmentation fault      (core dumped) "$SCILABBIN" "$@"
>  I tested with the nightly builds and I've got the same error message. Do I need some more
> dependency?
>
> If it can help, the scilab compile from source on the same machine is working fine.
>
> Thanks by advance,
> Florian
>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Florian Blachère Florian Blachère
Reply | Threaded
Open this post in threaded view
|

Re: Fail to run scilab-6.0.0 binary

In reply to this post by Clément David-3
Hello,

Ok, I will report the bug with all the required information. Could you
just give me the right section where to report the bug (java or scilab
or anything else) ?

Thanks,

Florian.


On 03/05/17 12:02, Clément David wrote:

> Hello Florian,
>
> Thanks for this information ; could you please open a bug with the following information ?
>
>  - What is the GTK version on your system ?
>  - Do you have a local Java installation ?
>  - paste a trace generated using : SCIVERBOSE=1 bin/scilab
>
> AFAIK ArchLinux ships always up-to-date versions and we should work using it. A more recent OpenJDK
> version might be needed and you could enforce your distribution specific one using :
>
>  JAVA_HOME=/path/to/jdk bin/scilab
>
> --
> Clément
>
> Le dimanche 30 avril 2017 à 16:58 +0200, Florian Blachère a écrit :
>> Hello,
>>
>> With an up to date ArchLinux box, the scilab-6.0.0 binary is failing to run with the following
>> error message:
>>> Cannot find this look and feel:
>>> [GTK look and feel - com.sun.java.swing.plaf.gtk.GTKLookAndFeel] not supported on this platform
>>> /opt/scilab/bin/scilab: line 957: 21013 Segmentation fault      (core dumped) "$SCILABBIN" "$@"
>>  I tested with the nightly builds and I've got the same error message. Do I need some more
>> dependency?
>>
>> If it can help, the scilab compile from source on the same machine is working fine.
>>
>> Thanks by advance,
>> Florian
>>
>> _______________________________________________
>> users mailing list
>> [hidden email]
>> http://lists.scilab.org/mailman/listinfo/users
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users
>

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Clément David-3 Clément David-3
Reply | Threaded
Open this post in threaded view
|

Re: Fail to run scilab-6.0.0 binary

Hello Florian,

Just post as "Scilab" ; this is related to startup, system config or Java basic usage.

Thanks,

--
Clément

Le mercredi 03 mai 2017 à 13:23 +0200, Florian Blachère a écrit :

> Hello,
>
> Ok, I will report the bug with all the required information. Could you
> just give me the right section where to report the bug (java or scilab
> or anything else) ?
>
> Thanks,
>
> Florian.
>
>
> On 03/05/17 12:02, Clément David wrote:
> > Hello Florian,
> >
> > Thanks for this information ; could you please open a bug with the following information ?
> >
> >  - What is the GTK version on your system ?
> >  - Do you have a local Java installation ?
> >  - paste a trace generated using : SCIVERBOSE=1 bin/scilab
> >
> > AFAIK ArchLinux ships always up-to-date versions and we should work using it. A more recent
> > OpenJDK
> > version might be needed and you could enforce your distribution specific one using :
> >
> >  JAVA_HOME=/path/to/jdk bin/scilab
> >
> > --
> > Clément
> >
> > Le dimanche 30 avril 2017 à 16:58 +0200, Florian Blachère a écrit :
> > > Hello,
> > >
> > > With an up to date ArchLinux box, the scilab-6.0.0 binary is failing to run with the following
> > > error message:
> > > > Cannot find this look and feel:
> > > > [GTK look and feel - com.sun.java.swing.plaf.gtk.GTKLookAndFeel] not supported on this
> > > > platform
> > > > /opt/scilab/bin/scilab: line 957: 21013 Segmentation fault      (core dumped) "$SCILABBIN"
> > > > "$@"
> > >
> > >  I tested with the nightly builds and I've got the same error message. Do I need some more
> > > dependency?
> > >
> > > If it can help, the scilab compile from source on the same machine is working fine.
> > >
> > > Thanks by advance,
> > > Florian
> > >
> > > _______________________________________________
> > > users mailing list
> > > [hidden email]
> > > http://lists.scilab.org/mailman/listinfo/users
> >
> > _______________________________________________
> > users mailing list
> > [hidden email]
> > http://lists.scilab.org/mailman/listinfo/users
> >
>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Florian Blachère Florian Blachère
Reply | Threaded
Open this post in threaded view
|

Re: Fail to run scilab-6.0.0 binary

Done, I added details to this bug report:
http://bugzilla.scilab.org/show_bug.cgi?id=15145.

Thanks by advance,

Florian


On 03/05/17 13:40, Clément David wrote:

> Hello Florian,
>
> Just post as "Scilab" ; this is related to startup, system config or Java basic usage.
>
> Thanks,
>
> --
> Clément
>
> Le mercredi 03 mai 2017 à 13:23 +0200, Florian Blachère a écrit :
>> Hello,
>>
>> Ok, I will report the bug with all the required information. Could you
>> just give me the right section where to report the bug (java or scilab
>> or anything else) ?
>>
>> Thanks,
>>
>> Florian.
>>
>>
>> On 03/05/17 12:02, Clément David wrote:
>>> Hello Florian,
>>>
>>> Thanks for this information ; could you please open a bug with the following information ?
>>>
>>>  - What is the GTK version on your system ?
>>>  - Do you have a local Java installation ?
>>>  - paste a trace generated using : SCIVERBOSE=1 bin/scilab
>>>
>>> AFAIK ArchLinux ships always up-to-date versions and we should work using it. A more recent
>>> OpenJDK
>>> version might be needed and you could enforce your distribution specific one using :
>>>
>>>  JAVA_HOME=/path/to/jdk bin/scilab
>>>
>>> --
>>> Clément
>>>
>>> Le dimanche 30 avril 2017 à 16:58 +0200, Florian Blachère a écrit :
>>>> Hello,
>>>>
>>>> With an up to date ArchLinux box, the scilab-6.0.0 binary is failing to run with the following
>>>> error message:
>>>>> Cannot find this look and feel:
>>>>> [GTK look and feel - com.sun.java.swing.plaf.gtk.GTKLookAndFeel] not supported on this
>>>>> platform
>>>>> /opt/scilab/bin/scilab: line 957: 21013 Segmentation fault      (core dumped) "$SCILABBIN"
>>>>> "$@"
>>>>  I tested with the nightly builds and I've got the same error message. Do I need some more
>>>> dependency?
>>>>
>>>> If it can help, the scilab compile from source on the same machine is working fine.
>>>>
>>>> Thanks by advance,
>>>> Florian
>>>>
>>>> _______________________________________________
>>>> users mailing list
>>>> [hidden email]
>>>> http://lists.scilab.org/mailman/listinfo/users
>>> _______________________________________________
>>> users mailing list
>>> [hidden email]
>>> http://lists.scilab.org/mailman/listinfo/users
>>>
>> _______________________________________________
>> users mailing list
>> [hidden email]
>> http://lists.scilab.org/mailman/listinfo/users
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users
>

--
Florian BLACHÈRE
Ingénieur-docteur en contrat post-doctoral
https://blacheref.perso.math.cnrs.fr
IMOSE - https://www.imose.fr
LMV - Laboratoire de mathématiques de Versailles UMR 8100 CNRS/UVSQ
UVSQ - Université de Versailles Saint-Quentin-en-Yvelines

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users